* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    list-style: none;
    text-decoration: none;
}

body {
    font-family: sans-serif;
}

.container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 10px;
}

/* ===== Header ===== */
.header {
    padding: 80px 0;
    background: linear-gradient(250.62deg, #461096 -26.6%, #7f3ce0 114.33%);
}

.header__wrapper {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 30px;
    color: white;
}

.header__text {
    text-align: left;
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.header__title {
    font-weight: 600;
    font-size: 60px;
}

.header__desc {
    font-weight: 500;
    font-size: 32px;
    line-height: 160%;
}

.header__btn {
    max-width: 405px;
    width: 100%;
    color: white;
    background: #3c1859;
    text-decoration: none;
    border-radius: 8px;
    padding: 16px;
    text-align: center;
    font-weight: 500;
    font-size: 20px;
    line-height: 160%;
    border: none;
    position: relative;
    overflow: hidden;
    cursor: pointer;
}

.header__btn::before {
    content: "";
    position: absolute;
    top: 0;
    left: -75%;
    width: 50%;
    height: 100%;
    background: linear-gradient(
            120deg,
            transparent,
            rgba(255, 255, 255, 0.6),
            transparent
    );
    transform: skewX(-25deg);
}

.header__btn:hover::before {
    animation: shine 0.8s forwards;
}

@keyframes shine {
    100% {
        left: 125%;
    }
}

.header__images {
    display: flex;
    flex-direction: column;
    gap: 66px;
    width: 100%;
}

/*.header__images a {*/
/*  text-decoration: none;*/
/*}*/

.header__img1 {
    align-self: flex-end;
    max-width: 350px;
    width: 100%;
    height: auto;
}

.header__img2 {
    align-self: flex-start;
    max-width: 900px;
    width: 100%;
    height: auto;
}

/* ===== Media Queries ===== */
@media (max-width: 992px) {
    .header__wrapper {
        flex-direction: column;
        text-align: center;
    }

    .header__text {
        align-items: center;
        text-align: center;
    }

    .header__images {
        gap: 30px;
    }

    .header__img1 {
        align-self: center;
        width: 300px;
        height: 50px;
    }

    .header__img2 {
        align-self: center;
    }
}

@media (max-width: 576px) {
    .header__title {
        font-size: 28px;
    }

    .header__desc {
        font-size: 16px;
    }

    .header__btn {
        font-size: 14px;
        padding: 12px;
    }

    .header__img1 {
        max-width: 200px;
    }
}

/* ===== Header ===== */

/* ===== Hero ===== */
.hero {
    padding: 105px 0;
}

.hero__wrapper {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 100px;
}

.hero-left {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
}

.hero-left-img1 {
    max-width: 1000px;
    width: 100%;
    height: auto;
}

.hero-left-img2 {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    max-width: 300px;
    width: 100%;
    height: auto;
}

.hero-right {
    display: flex;
    flex-direction: column;
}

.hero__title {
    font-weight: 500;
    font-size: clamp(30px, 4vw, 60px);
    line-height: 130%;
    color: #19213d;
    margin-bottom: 65px;
}

.hero__desc {
    font-weight: 500;
    font-size: 18px;
    line-height: 150%;
    color: black;
    display: flex;
    align-items: center;
    gap: 15px;
    margin-bottom: 32px;
}

.hero__btn {
    position: relative;
    max-width: 418px;
    width: 100%;
    border-radius: 8px;
    padding: 10px;
    background: #6f31a1;
    font-weight: 500;
    font-size: 32px;
    text-align: center;
    color: white;
    text-decoration: none;
    margin-top: 35px;
    overflow: hidden;
    cursor: pointer;
}

.hero__btn::before {
    content: "";
    position: absolute;
    top: 0;
    left: -75%;
    width: 50%;
    height: 100%;
    background: linear-gradient(
            120deg,
            transparent,
            rgba(255, 255, 255, 0.6),
            transparent
    );
    transform: skewX(-25deg);
}

.hero__btn:hover::before {
    left: 125%;
    transition: left 0.8s ease-in-out;
}

/* ===== Tablet ===== */
@media (max-width: 992px) {
    .hero__wrapper {
        flex-direction: column;
        gap: 60px;
        text-align: center;
    }

    .hero-right {
        align-items: center;
    }

    .hero__desc {
        justify-content: center;
    }
}

/* ===== Mobile ===== */
@media (max-width: 576px) {
    .hero__title {
        margin-bottom: 25px;
    }

    .hero__btn {
        font-size: 16px;
        padding: 10px;
    }

    .hero-left-img2 {
        max-width: 180px; /* kichik ekranda markazdagi rasm kichrayadi */
    }
}

/* ===== Hero ===== */

/* ===== Cards ===== */
.cards {
    padding: 90px 0;
}

.card__title {
    font-weight: 500;
    font-size: clamp(25px, 4vw, 56px);
    line-height: 130%;
    text-align: center;
    color: #19213d;
}

.card__items {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    justify-content: space-between;
    gap: 24px;
    margin-top: 140px;
}

.card__item {
    min-height: 440px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    text-align: center;
    gap: 20px;
    border: 1px solid transparent;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
    border-radius: 12px;
    padding: 20px;
    transition: all 0.3s ease;
    overflow: hidden;
}

.card__item:hover {
    border-left: 2px solid #45108a;
    border-right: 2px solid #45108a;
    border-bottom: 3px solid #45108a !important;
    border-top: 3px solid #45108a !important;
    box-shadow: 0px 8px 18px rgba(69, 16, 138, 0.3);
    cursor: pointer;
}

.card__img {
    width: 156px;
    height: 156px;
}

.card-title {
    font-weight: 600;
    font-size: 18px;
    line-height: 150%;
    color: #060e1a;
}

.card__desc {
    font-weight: 400;
    font-size: 14px;
    line-height: 160%;
    color: #51565e;
}

.card__link {
    width: 31px;
    height: 31px;
    border: 1px solid #2657a4;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    text-decoration: none;
}

@media (max-width: 992px) {
    .card__items {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 576px) {
    .card__items {
        grid-template-columns: 1fr;
    }

    .card__item {
        min-height: auto;
    }

    .card__img {
        width: 120px;
        height: 120px;
    }

    .card-title {
        font-size: 16px;
    }

    .card__desc {
        font-size: 13px;
    }
}

/* ===== Cards ===== */

/* ===== Feedback ===== */
.feedback {
    padding: 100px 0;
}

.box-out {
    width: 100%;
    height: 65px;
    padding: 10px;
    background: #d7c5f5;
    border-radius: 45px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.box-inner {
    width: 100%;
    padding: 10px;
    border-radius: 45px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    overflow: hidden;
    position: relative;
}

.progress-line {
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    width: 0%;
    background: linear-gradient(90deg, #6f31a1, #45108a);
    border-radius: 45px;
    transition: width 4s linear;
    z-index: 0;
}

.box-div {
    background-color: white;
    padding: 15px;
    border-radius: 50%;
    transition: background-color 0.5s ease, transform 0.5s ease;
    position: relative;
    z-index: 1;
}

.box-cards {
    display: grid;
    grid-template-columns: auto auto auto auto;
    margin: 50px 0;
    position: relative;
    overflow: hidden;
    gap: 30px;
}

@media (max-width: 992px) {
    .box-cards {
        grid-template-columns: auto auto;
    }
}

@media (max-width: 600px) {
    .box-cards {
        grid-template-columns: auto;
    }
}

.box-items {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 50px;
    animation: fadeIn 0.7s ease;
}

.box-items.active {
    display: flex;
}

@keyframes fadeIn {
    from {
        opacity: 0;
        transform: translateY(20px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

.box-card1 {
    padding: 12px 7px;
    background: linear-gradient(180deg, #ffffff 0%, #f7efff 100%);
    border: 1.33px solid;
    border-image-source: linear-gradient(270deg, #ffffff 0%, #f8faff 100%);
    border-radius: 24px;
}

.box-card1 h3 {
    font-weight: 600;
    font-size: 10px;
    line-height: 139%;
    text-align: center;
    color: #19213d;
}

.box-card2 {
    border-radius: 24px;
    padding: 24px;
    background: #f9f5ff;
    border-width: 1px;
    min-height: 244px;
    height: 100%;
}

.box-card2 p {
    font-weight: 400;
    font-size: 17px;
    line-height: 150%;
    color: #353e5c;
}

/* ===== Feedback ===== */

/* ===== History ===== */
.history {
    padding: 60px 0;
}

.history-title {
    font-weight: 600;
    font-size: clamp(24px, 4vw, 60px);
    line-height: 130%;
    text-align: center;
    color: #19213d;
    margin-bottom: 65px;
}

.history__wrapper {
    display: flex;
    justify-content: center;
    align-items: stretch;
    gap: 20px;
    flex-wrap: wrap;
}

.history__card1,
.history__card2 {
    padding: 32px;
    max-width: 380px;
    width: 100%;
    border-radius: 10px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    transition: all 0.3s ease;
}

.history__card1:hover,
.history__card2:hover {
    transform: translateY(-10px);
    box-shadow: 0 8px 24px rgba(0, 0, 0, 0.2);
    z-index: 5;
}

.history__card2 {
    /*background-image: url('assets/main/images/businessGrowth/card_bg.png');*/
    background-repeat: no-repeat;
    background-size: contain;
    color: white;
    min-height: 717px;
    position: relative;
    top: -30px;
}

.history__card1 {
    min-height: 650px;
    border: 2px solid #7f2bf9;
}

.card2-title {
    font-weight: 500;
    font-size: 20px;
    line-height: 150%;
    text-align: center;
    color: white;
}

.card2-title2 {
    font-weight: 500;
    font-size: 21px;
    line-height: 150%;
    text-align: center;
    color: #51565e;
}

.card2__price,
.card2__price2 {
    font-weight: 600;
    font-size: clamp(24px, 4vw, 44px);
    line-height: 130%;
    margin-bottom: 25px;
}

.card2__price {
    color: white;
    margin-bottom: 35px;
}

.card2__price2 {
    color: #060e1a;
}

.card-desc {
    font-weight: 400;
    font-size: 16px;
    line-height: 160%;
    color: #51565e;
}

.card-link {
    width: 100%;
    border-radius: 5px;
    padding: 12px;
    background: linear-gradient(120deg, #6f31a1 0%, #8b46c7 50%, #6f31a1 100%);
    background-size: 200% 200%;
    font-weight: 500;
    font-size: 18px;
    text-align: center;
    color: white;
    text-decoration: none;
    margin-top: auto;
    transition: background 0.3s ease;
    position: relative;
    overflow: hidden;
}

.card-link::before {
    content: "";
    position: absolute;
    top: 0;
    left: -75%;
    width: 50%;
    height: 100%;
    background: linear-gradient(
            120deg,
            transparent,
            rgba(255, 255, 255, 0.6),
            transparent
    );
    transform: skewX(-25deg);
}

.card-link:hover {
    color: white;
}

.card-link:hover::before {
    animation: shimmer 1.5s infinite;
}

@keyframes shimmer {
    0% {
        left: -75%;
    }
    100% {
        left: 125%;
    }
}

.card-bonus {
    margin-top: 25px;
    font-weight: 600;
    font-size: 16px;
    line-height: 160%;
    color: #51565e;
}

.card-presentation {
    font-weight: 400;
    font-size: 16px;
    line-height: 160%;
    color: #51565e;
}

.card-line {
    max-width: 210px;
    width: 100%;
    margin: 0 auto;
}

/* ====== Responsive ====== */
@media (max-width: 992px) {
    .history__wrapper {
        gap: 30px;
    }

    .history__card2 {
        top: 0;
    }
}

@media (max-width: 768px) {
    .history__wrapper {
        flex-direction: column;
        align-items: center;
    }

    .history__card1,
    .history__card2 {
        max-width: 100%;
        min-height: auto;
    }
}

/* ===== History ===== */

/* ===== Progres ===== */
.progres {
    padding: 60px 0;
}

.progres__title {
    font-size: clamp(24px, 4vw, 56px);
    font-weight: 700;
    color: #19213d;
    text-align: center;
    line-height: 110.00000000000001%;
}

.progres__desc {
    margin: 40px 0;
    font-weight: 400;
    font-size: clamp(16px, 4vw, 30px);
    color: #000000;
    text-align: center;
}

.progres__wrapper {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    column-gap: 25px;
    row-gap: 50px;
}

.progres__card {
    background-color: #f9f5ff;
    padding: 40px 30px;
    border-radius: 16px;
    box-shadow: 0px 2px 8px rgba(0, 0, 0, 0.05);
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    position: relative;
}

.progres__card:hover {
    transform: translateY(-6px);
    box-shadow: 0 6px 18px rgba(0, 0, 0, 0.1);
}

.progres__card img {
    width: 50px;
    position: absolute;
    top: -25px;
}

.progres__card h3 {
    font-size: 20px;
    font-weight: 600;
    color: #000000;
    margin-bottom: 10px;
}

.progres__card p {
    font-weight: 400;
    font-size: 14px;
    color: #000000;
    line-height: 1.5;
}

/* ===== Progres ===== */

/* ===== Sale ===== */
.sale {
    background-color: #5b20b1;
    padding: 100px 0 320px 0;
    color: white;
    text-align: center;
    background-image: url(./images/sale.png);
    background-repeat: no-repeat;
    background-position: bottom center;
    background-size: contain;
}

.sale__title {
    font-weight: 600;
    font-size: clamp(24px, 4vw, 90px);
    line-height: 130%;
}

.sale__desc {
    font-weight: 500;
    font-size: clamp(16px, 4vw, 27px);
    line-height: 130%;
    margin: 40px 0;
}

.sale__btn {
    max-width: 380px;
    width: 100%;
    border-radius: 16px;
    padding: 24px 120px;
    background: #6f31a1;
    font-weight: 500;
    font-size: 32px;
    text-align: center;
    color: white;
    text-decoration: none;
}

.sale__btn:hover {
    box-shadow: 0 0 50px rgba(111, 49, 161, 0.6);
}

/* ===== Sale ===== */

/* ===== Footer ===== */
.footer {
    background: #5b20b1;
    padding-top: 60px 10px;
    color: white;
}

.footer-wrapper {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    flex-wrap: wrap;
    gap: 40px;
    padding: 20px 0 0 0;
}

.footer-col {
    flex: 1;
    min-width: 230px;
}

.footer-col img.footer-logo {
    max-width: 160px;
    margin-bottom: 15px;
}

.footer-col h3 {
    font-weight: 700;
    font-size: 16px;
    color: white;
    text-transform: uppercase;
    letter-spacing: 0.5px;
}

.footer-col p {
    font-size: 14px;
    line-height: 1.6;
    color: white;
    max-width: 250px;
}

.footer-col ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

.footer-col ul li {
    margin-bottom: 12px;
    font-size: 14px;
    display: flex;
    align-items: center;
}

.footer-col ul li i {
    color: #006aff;
    margin-right: 10px;
    font-size: 14px;
    min-width: 16px;
}

.footer-col ul li a {
    text-decoration: none;
    color: white;
    transition: color 0.3s;
}

.footer-col ul li a:hover {
    color: #006aff;
}

.socials {
    display: flex;
    gap: 15px;
}

.socials a {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 30px;
    height: 30px;
    background: #430476;
    border-radius: 8px;
    font-size: 16px;
    color: white;
    transition: 0.3s;
    text-decoration: none;
}

.socials a:hover {
    background: #006aff;
    color: #fff;
}

.footer-bottom {
    margin-top: 35px;
    padding: 22px 0;
    background-color: #25054d;
}

.footer-bottom-inner {
    display: flex;
    justify-content: start;
    align-items: center;
    flex-wrap: wrap;
    gap: 20px;
    padding: 0;
}

.footer-bottom p {
    font-weight: 600;
    font-size: 17px;
    color: white;
    margin: 0;
}

/* Responsive */
@media (max-width: 992px) {
    .footer-wrapper {
        flex-direction: column;
        gap: 30px;
    }

    .footer-col {
        min-width: 100%;
    }

    .footer-col p {
        max-width: 100%;
    }

    .footer-bottom-inner {
        flex-direction: column;
        gap: 15px;
        text-align: center;
    }

    .socials {
        justify-content: center;
    }
}

@media (max-width: 500px) {
    .footer-wrapper {
        flex-direction: column;
        gap: 30px;
        padding: 40px 30px 0 30px;
    }

    .footer-col {
        min-width: 100%;
    }

    .footer-col p {
        max-width: 100%;
    }

    .footer-bottom-inner {
        flex-direction: column;
        gap: 15px;
        text-align: center;
    }

    .socials {
        justify-content: center;
    }
}

/* Demo uchun */
.demo-title {
    text-align: center;
    color: #006aff;
    font-size: 24px;
}

/* ===== Footer ===== */
